# $Revision: 1.27 $, $Date: 2007/02/13 07:16:44 $
Summary:	fping - pings multiple hosts at once
Summary(pl.UTF-8):	fping - ping sprawdzający wiele hostów naraz
Summary(pt_BR.UTF-8):	Ferramenta para enviar pings para várias máquinas de uma só vez
Name:		fping
Version:	2.4b2
Release:	8
License:	distributable
Group:		Networking/Admin
Source0:	http://www.fping.com/download/%{name}-%{version}.tar.gz
# Source0-md5:	d3c4a12119a04893d744137f861e1ecd
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-ipv6.patch
Patch2:		%{name}-ipv6-ac.patch
URL:		http://www.fping.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fping is a ping(1) like program which uses the Internet Control
Message Protocol (ICMP) echo request to determine if a host is up.
fping is different from ping in that you can specify any number of
hosts on the command line, or specify a file containing the lists of
hosts to ping. Instead of trying one host until it timeouts or
replies, fping will send out a ping packet and move on to the next
host in a round-robin fashion. If a host replies, it is noted and
removed from the list of hosts to check. If a host does not respond
within a certain time limit and/or retry limit it will be considered
unreachable.

%description -l pl.UTF-8
fping to program podobny do ping(1), używającego żądania echo
(echo-request) protokołu ICMP do stwierdzenia, czy host działa. fping
różni się od ping tym, że można podać dowolną liczbę hostów z linii
poleceń lub podać plik zawierający listę hostów do sprawdzenia.
Zamiast sprawdzania pojedynczego hosta do upłynięcia limitu czasu lub
odpowiedzi, fping wysyła pakiet pinga i przesuwa się do następnego
hosta w trybie Round-Robin. Jeżeli host odpowiada, jest on zapisywany
i usuwany z listy do sprawdzenia. Jeżeli nie odpowiada przez pewien
czas lub pewną liczbę prób, jest traktowany jako niedostępny.

%description -l pt_BR.UTF-8
O fping é um programa que utiliza a requisição de eco do Internet
Control Message Protocol (ICMP) para determinar se uma máquina alvo
está respondendo. O fping difere do ping na medida que se pode
especificar qualquer número de alvos na linha de comando, ou
especificar um arquivo contendo as listas de alvos a enviar ping. Ao
invés de enviar para um alvo até que expire o tempo máximo ou ele
responda, o fping enviará um pacote de ping para cada alvo ao mesmo
tempo.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}
mv fping fping6

%configure \
	--disable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	sbindir=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

install fping6 $RPM_BUILD_ROOT%{_bindir}
ln -s %{_bindir}/fping $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_bindir}/fping6 $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README COPYING
%attr(4754,root,adm) %{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fping.spec,v $
Revision 1.27  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.25  2004/09/11 20:17:33  gotar
- moved from _sbindir to _bindir leaving symlink, release 8

Revision 1.24  2004/09/10 23:09:41  gotar
- o+r

Revision 1.23  2004/08/18 20:00:04  undefine
- release 7

Revision 1.22  2003/12/06 16:12:06  undefine
- release 6 to rebuild with ac

Revision 1.21  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.20  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:47:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/20 05:27:11  kloczek
- merge translations from Conectiva.

Revision 1.17  2002/11/11 18:24:10  kloczek
- release 5.

Revision 1.16  2002/11/07 20:33:25  agaran
ipv6 patch (ugly one)

Revision 1.15  2002/10/07 11:13:35  qboosh
- BR: autoconf,automake

Revision 1.14  2002/06/18 22:27:51  blues
- release 4
- reverted ipv6 "fixes" - BTS#207 - make separate v6 package or (better)
  add correct v6 fix, not separate fake source
- new doc
STBR

Revision 1.13  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/05/11 12:20:44  pioklo
- relase 3,now  support ipv6 ,STBR

Revision 1.11  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.10  2002/04/25 16:19:26  arturs
fixed a small typo

Revision 1.9  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/09 23:56:27  kloczek
- release 2.

Revision 1.4  2002/01/09 18:06:43  misiek
- fix defattr

Revision 1.3  2002/01/08 22:12:42  blues
- ac_fixes patch added
- docs added
STB

Revision 1.2  2001/11/27 10:15:54  qboosh
- pl description, better summaries

Revision 1.1  2001/10/26 19:32:46  blues
- initial version
fping is different from ping in that you can specify any number of
hosts on the command line, or specify a file containing the lists of
hosts to ping. Instead of trying one host until it timeouts or
replies, fping will send out a ping packet and move on to the next
host in a round-robin fashion.
